logomoneymotion
PaymentintentsRpc
background
moneymotion Docs
moneymotion Docs
Payment Intents Confirm
POST
/rpc/PaymentIntentsConfirm
cardDetailsobject
billingAddressobject
threeDsRequestDetails?object
threeDsData?object
transactionSessionId?string | null
returnUrlstring

Response Body

curl -X POST "https://api.moneymotion.io/rpc/PaymentIntentsConfirm" \  -H "Content-Type: application/json" \  -d '{    "cardDetails": {      "number": "string",      "expiryMonth": "st",      "expiryYear": "stri",      "cvc": "string",      "name": "string"    },    "billingAddress": {      "firstName": "string",      "lastName": "string",      "lineOne": "string",      "city": "string",      "postalCode": "string",      "country": "st"    },    "returnUrl": "string"  }'
{
  "status": "requires_payment_method",
  "intentId": "string",
  "actionToken": "string",
  "nextAction": {
    "type": "redirect",
    "url": "string"
  },
  "error": {
    "code": "string",
    "message": "string"
  }
}